[2.6.20-12] rtl8180 gone missing.

Bug #78255 reported by Jan Ischebeck
152
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
High
Ben Collins

Bug Description

Binary package hint: linux-source-2.6.20

Kernel 2.6.20-4 oops after detecting a PCMCIA rtl8180 Wireless Lan Card.
Card works without issues on 2.6.17-10.
NetworkManager is running on the system.

[ 144.984000] rtl8180: Memory mapped space @ 0xc4000000
[ 144.984000] rtl8180: MAC controller is a RTL8180
[ 144.984000] rtl8180: This is a CARDBUS NIC
[ 144.984000] rtl8180: Reported EEPROM chip is a 93c56 (2Kbit)
...snip...
[ 144.992000] rtl8180: Card MAC address is
[ 145.004000] rtl8180: IRQ 11
...snip...
[ 145.284000] rtl8180: Card successfully reset
[ 145.616000] BUG: unable to handle kernel NULL pointer dereference at virtual address 00000001
[ 145.616000] printing eip:
[ 145.616000] 00000001
[ 145.616000] *pde = 00000000
[ 145.616000] Oops: 0000 [#1]
[ 145.616000] SMP
[ 145.616000] Modules linked in: r818x ieee80211_rtl binfmt_misc rfcomm l2cap bluetooth nvram uinput radeon drm acpi_cpufreq cpufreq_userspace cpufreq_stats cpufreq_powersave cpufreq_ondemand freq_table cpufreq_conservative video sbs ibm_acpi i2c_ec i2c_core dock button battery container ac asus_acpi backlight nls_utf8 ntfs lp joydev tsdev irtty_sir sir_dev pcmcia parport_pc parport irda snd_intel8x0 snd_ac97_codec ac97_bus snd_pcm_oss snd_mixer_oss psmouse crc_ccitt snd_pcm snd_seq_dummy snd_seq_oss yenta_socket rsrc_nonstatic serio_raw snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device af_packet pcmcia_core pcspkr snd soundcore snd_page_alloc intel_agp agpgart iTCO_wdt iTCO_vendor_support shpchp pci_hotplug evdev ipv6 ext3 jbd mbcache ide_cd cdrom ide_disk ata_piix ata_generic libata scsi_mod piix generic e100 mii ehci_hcd uhci_hcd usbcore thermal processor fan fbcon tileblit font bitblit softcursor vesafb capability commoncap
[ 145.616000] CPU: 0
[ 145.616000] EIP: 0060:[<00000001>] Not tainted VLI
[ 145.616000] EFLAGS: 00010202 (2.6.20-4-generic #2)
[ 145.616000] EIP is at 0x1
[ 145.616000] eax: dbd09000 ebx: dbd09400 ecx: 00000001 edx: 00000001
[ 145.616000] esi: dbd09c38 edi: 00001002 ebp: 00000000 esp: e5425bdc
[ 145.616000] ds: 007b es: 007b ss: 0068
[ 145.616000] Process NetworkManager (pid: 4682, ti=e5424000 task=e8d83a90 task.ti=e5424000)
[ 145.616000] Stack: f0e37416 dbd09400 f0e3792c dbd09000 f0e1e6d2 f0e2b388 dbd09000 00001003
[ 145.616000] f0e20303 dbd09000 c027a6b1 dbd09000 c0278edc dbd09000 ffffffed 00000000
[ 145.616000] e8ceaa10 c02821f8 00000000 c03c3b20 0000000b 00000000 00000000 00000000
[ 145.616000] Call Trace:
[ 145.616000] [<f0e37416>] rtl_ieee80211_start_protocol+0x46/0xe0 [ieee80211_rtl]
[ 145.616000] [<f0e3792c>] rtl_ieee80211_softmac_start_protocol+0x2c/0x50 [ieee80211_rtl]
[ 145.616000] [<f0e1e6d2>] _rtl8180_up+0x42/0x50 [r818x]
[ 145.616000] [<f0e20303>] rtl8180_open+0x23/0x40 [r818x]
[ 145.616000] [<c027a6b1>] dev_open+0x31/0x70
[ 145.616000] [<c0278edc>] dev_change_flags+0xfc/0x130
[ 145.616000] [<c02821f8>] rtnl_setlink+0x3e8/0x450
[ 145.616000] [<c016f200>] cache_alloc_refill+0x60/0x530
[ 145.616000] [<c0281e10>] rtnl_setlink+0x0/0x450
[ 145.616000] [<c028144b>] rtnetlink_rcv_msg+0x16b/0x250
[ 145.616000] [<c02812e0>] rtnetlink_rcv_msg+0x0/0x250
[ 145.616000] [<c028fe62>] netlink_run_queue+0x82/0x120
[ 145.616000] [<c0281288>] rtnetlink_rcv+0x28/0x50
[ 145.616000] [<c0290412>] netlink_data_ready+0x12/0x50
[ 145.616000] [<c028f021>] netlink_sendskb+0x21/0x40
[ 145.616000] [<c0290323>] netlink_sendmsg+0x223/0x300
[ 145.616000] [<c026ed12>] sock_sendmsg+0x112/0x130
[ 145.616000] [<c0138510>] autoremove_wake_function+0x0/0x50
[ 145.616000] [<c027446a>] __kfree_skb+0x4a/0x120
[ 145.616000] [<c0138510>] autoremove_wake_function+0x0/0x50
[ 145.616000] [<c02da48e>] unix_stream_recvmsg+0x22e/0x560
[ 145.616000] [<c01ed597>] copy_from_user+0x27/0x60
[ 145.616000] [<c01ed597>] copy_from_user+0x27/0x60
[ 145.616000] [<c026ee91>] sys_sendmsg+0x161/0x270
[ 145.616000] [<c015904f>] __alloc_pages+0x4f/0x340
[ 145.616000] [<c026fd87>] sys_getsockname+0xd7/0xe0
[ 145.616000] [<c016713d>] anon_vma_prepare+0x1d/0xe0
[ 145.616000] [<c0270ce2>] release_sock+0x12/0xb0
[ 145.616000] [<c01612a3>] __handle_mm_fault+0x3f3/0x920
[ 145.616000] [<c02701af>] sys_socketcall+0x24f/0x280
[ 145.616000] [<c02e8040>] do_page_fault+0x0/0x5d0
[ 145.616000] [<c0103116>] sysenter_past_esp+0x5f/0x89
[ 145.616000] =======================
[ 145.616000] Code: Bad EIP value.
[ 145.616000] EIP: [<00000001>] 0x1 SS:ESP 0068:e5425bdc
[ 145.616000]

Revision history for this message
Jan Ischebeck (siesel) wrote :

Full dmesg output attached

Revision history for this message
Daniel T Chen (crimsun) wrote :

It's likely reproducible under 2.6.20-5.7, but please confirm.

Changed in linux-source-2.6.20:
status: Unconfirmed → Needs Info
Revision history for this message
Jan Ischebeck (siesel) wrote : Re: [feisty] rtl8180 oops on kernel 2.6.20-5
Download full text (4.5 KiB)

Same behavior on 2.6.20-5.7

Jan 8 03:55:23 LXZHUANG kernel: [ 0.000000] Linux version 2.6.20-5-generic (root@vernadsky) (gcc version 4.1.2 20070105 (prerelease) (Ubuntu 4.1.1-21ubuntu6)) #2 SMP Sat Jan 6 14:50:47 UTC 2007 (Ubuntu 2.6.20-5.7-generic)
Jan 8 03:55:24 LXZHUANG kernel: [ 40.560000] rtl8180: Card successfully reset
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] BUG: unable to handle kernel NULL pointer dereference at virtual address 00000001
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] printing eip:
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] 00000001
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] *pde = 00000000
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] Oops: 0000 [#1]
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] SMP
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] Modules linked in: r818x ieee80211_rtl joydev tsdev snd_intel8x0 snd_ac97_codec pcmcia ac97_bus snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss irtty_sir sir_dev snd_seq_midi snd_rawmidi snd_seq_midi_event parport_pc snd_seq snd_timer snd_seq_device parport irda crc_ccitt psmouse serio_raw yenta_socket rsrc_nonstatic pcmcia_core snd soundcore snd_page_alloc intel_agp agpgart iTCO_wdt iTCO_vendor_support pcspkr shpchp pci_hotplug af_packet evdev ipv6 ext3 jbd mbcache ide_cd cdrom ide_disk ata_piix ata_generic libata scsi_mod e100 mii piix generic ehci_hcd uhci_hcd usbcore thermal processor fan fbcon tileblit font bitblit softcursor vesafb capability commoncap
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] CPU: 0
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] EIP: 0060:[_proxy_pda+1/1048576] Not tainted VLI
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] EFLAGS: 00010202 (2.6.20-5-generic #2)
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] EIP is at 0x1
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] eax: ebec6000 ebx: ebec6400 ecx: 00000001 edx: 00000001
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] esi: ebec6c38 edi: 00001002 ebp: 00000000 esp: ebe71e98
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] ds: 007b es: 007b ss: 0068
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] Process ifconfig (pid: 3391, ti=ebe70000 task=dff65560 task.ti=ebe70000)
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] Stack: f0b69416 ebec6400 f0b6992c ebec6000 f0b7d6d2 f0b8a388 ebec6000 00001043
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] f0b7f303 ebec6000 c027a6a1 ebec6000 c0278ecc 00000000 00000001 ebe71f40
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] ebe71f10 c02c0b71 ebe71f30 c027a22b ebe71f30 c01ed809 ebe71f20 00000000
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] Call Trace:
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] [pg0+812594198/1069057024] rtl_ieee80211_start_protocol+0x46/0xe0 [ieee80211_rtl]
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] [pg0+812595500/1069057024] rtl_ieee80211_softmac_start_protocol+0x2c/0x50 [ieee80211_rtl]
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] [pg0+812676818/1069057024] _rtl8180_up+0x42/0x50 [r818x]
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000] [pg0+812684035/1069057024] rtl8180_open+0x23/0x40 [r818x]
Jan 8 03:55:24 LXZHUANG kernel: [ 40.876000]...

Read more...

Revision history for this message
Peter Würtz (pwuertz) wrote : Re: [feisty] rtl8180 oops on kernel 2.6.20-4

me too, I can confirm that bug

Revision history for this message
Jan Ischebeck (siesel) wrote :

bug still existing in kernel 2.6.20-6

Revision history for this message
Peter Würtz (pwuertz) wrote :

This bug is a boot-stopper for ppl like me having this wlan chipset onboard. there is no BIOS option for disabling the wlan chipset and there is no way to prevent feisty from loading this driver.

For the 8187 chipset there are this dmesg lines:

rtl8187: WW:This driver has EXPERIMENTAL support for this chipset.
rtl8187: WW:use it with care and at your own risk and
rtl8187: WW:**PLEASE** REPORT SUCCESS/INSUCCESS TO <email address hidden>

Already tried to contact the person developing the driver, but got no response for like 2 weeks. Dont know if this driver has been abandoned.

I suggest to add r8187 and r818x /etc/modprobe.d/blacklist immediately until there is some movement regarding that driver in the kernel source.

People could still try to modprobe new versions of the driver (if there are any), but you should really stop this driver from loading at boot time!

Revision history for this message
John Vivirito (gnomefreak) wrote :

Marked as confirmed due to comments in report. maked as high because it prevents booting on that HW set up it looks like.

Changed in linux-source-2.6.20:
importance: Undecided → High
status: Needs Info → Confirmed
Revision history for this message
Phasmus (phasmus) wrote :

I am getting a similar error booting Feisty (Herd 3) in the VirtualBox VM (Windows host, default VM settings). If the two are unrelated I can provide more information in a distinct report. Otherwise, this may be useful in duplicating the problem.

Revision history for this message
Ben Collins (ben-collins) wrote :

Phasmus, your oops is completely different. Refrain from adding to this bug report, and consider opening a new one.

Bad news for this bug. First, this driver has not been maintained upstream for well over a year (close to two). Second, no one on the kernel team has it so we can't debug it.

This bug might be caused by the work queue changes required to make this driver work in 2.6.20. We'll review these to see if there was some error in the conversion.

Changed in linux-source-2.6.20:
assignee: nobody → kyle
Revision history for this message
Kyle McMartin (kyle) wrote : Re: [feisty] rtl8180 oops

Peter Würtz, do you have an rtl8187? Could you please post the dmesg of your crash too (we only have 8180 right now.) I'm trying to fix this, but it's not obvious that this is not a problem with the upstream driver.

Revision history for this message
Peter Würtz (pwuertz) wrote : rtl8187 oops

Yes, I have an rtl8187, but the bug seems to be in the code shared by these 2 drivers.

Here is the trace, full dmesg is attached too.

Thanks for your work on this one.

[ 208.828885] Call Trace:
[ 208.828953] [<f8ca3416>] rtl_ieee80211_start_protocol+0x46/0xe0 [ieee80211_rtl]
[ 208.829035] [<f8ca392c>] rtl_ieee80211_softmac_start_protocol+0x2c/0x50 [ieee80211_rtl]
[ 208.829114] [<f8c42c9b>] _rtl8180_up+0x2b/0x60 [r8187]
[ 208.829183] [<f8c43493>] rtl8180_open+0x23/0x40 [r8187]
[ 208.829251] [<c027e5a1>] dev_open+0x31/0x70
[ 208.829318] [<c027cd9c>] dev_change_flags+0xfc/0x130
[ 208.829384] [<c02c4be1>] devinet_ioctl+0x551/0x6c0
[ 208.829450] [<c027e12b>] dev_ifsioc+0xeb/0x360
[ 208.829515] [<c01f0a29>] copy_to_user+0x29/0x50
[ 208.829587] [<c027208f>] sock_ioctl+0xbf/0x210
[ 208.829652] [<c0271fd0>] sock_ioctl+0x0/0x210
[ 208.829717] [<c018186b>] do_ioctl+0x2b/0x90
[ 208.829784] [<c018192c>] vfs_ioctl+0x5c/0x2a0
[ 208.829850] [<c0181be2>] sys_ioctl+0x72/0x90
[ 208.829916] [<c0103260>] syscall_call+0x7/0xb
[ 208.829983] [<c02e0033>] unix_gc+0xa3/0x3c0

Revision history for this message
Kyle McMartin (kyle) wrote : Re: [feisty] rtl8180 oops

Excellent, thanks. I've purchased an rtl818x based card (I hope!) on ebay to try and debug this. It should arrive sometime in the next week.

Cheers,
 Kyle

Changed in linux-source-2.6.20:
status: Confirmed → In Progress
Revision history for this message
Phillip Lougher (phillip-lougher) wrote :

Can you provide the dmesg for the working 2.6.17-10 kernel? There is some indication the driver is recognising the hardware differently between kernel versions. Do not know yet, however, if this is significant.

Revision history for this message
Sebastian Reichel (sre) wrote :

Hi,

perhaps it would be a great idea to blacklist the bug while it has not been repaired by default?

The dmesg logs of an rtl8187 is in my duplicate for 2.6.19 and 2.6.20. In 2.6.19-7 it was/is still working.

Which version of the driver is used in feisty?

Revision history for this message
Phillip Lougher (phillip-lougher) wrote :

Elektranox, I've seen your dmesg logs from the duplicate bug entry.

I was hoping to get some dmesgs from the other people who reported this bug. If their demsgs have the same differences as your dmesgs, then it may be significant.

Revision history for this message
Peter Würtz (pwuertz) wrote :

feisty herd 4 has been released and the module was not blacklisted yet...

I've no idea who is responsible for doing this, but this module must be blacklisted in its current state.

Revision history for this message
Craig Duquette (cduquette) wrote :

Attached is the oops messages upon insertion of my rtl8180 card.

Revision history for this message
Craig Duquette (cduquette) wrote :

Attached is my dmesg logs after inserting my rtl8180 card.

Revision history for this message
Keli Hu (hukeli) wrote :
Download full text (6.1 KiB)

The same to me, only the module is r818x. It used to work for me on 2.6.17 kernel. Also because of this driver, things like sudo/ifconfig won't work as well. Here is the oops messages (and I also attached a dmesg log):

================================================
Feb 25 01:07:57 home kernel: [ 43.425443] rtl8180: Bringing up iface
Feb 25 01:07:57 home kernel: [ 43.633639] rtl8180: Card successfully reset
Feb 25 01:07:57 home kernel: [ 44.500591] BUG: unable to handle kernel NULL pointer dereference at virtual address 00000001
Feb 25 01:07:57 home kernel: [ 44.500598] printing eip:
Feb 25 01:07:57 home kernel: [ 44.500600] 00000001
Feb 25 01:07:57 home kernel: [ 44.500601] *pde = 00000000
Feb 25 01:07:57 home kernel: [ 44.500605] Oops: 0000 [#1]
Feb 25 01:07:57 home kernel: [ 44.500606] SMP
Feb 25 01:07:57 home kernel: [ 44.500609] Modules linked in: ppdev cpufreq_powersave cpufreq_ondemand cpufreq_conservative cpufreq_userspace cpufreq_stats freq_table ac video button asus_acpi container sbs i2c_ec battery dock backlight parport_pc lp parport snd_intel8x0 snd_ac97_codec ac97_bus snd_pcm_oss snd_mixer_oss snd_pcm tsdev snd_seq_dummy snd_seq_oss snd_seq_midi snd_seq_midi_event snd_mpu401 snd_mpu401_uart snd_rawmidi r818x ieee80211_rtl ide_cd cdrom snd_seq snd_timer snd_seq_device analog gameport floppy serio_raw i2c_nforce2 pcspkr psmouse k8temp snd soundcore snd_page_alloc shpchp pci_hotplug i2c_core amd64_agp agpgart evdev ext3 jbd mbcache sg sd_mod amd74xx generic ata_generic ehci_hcd sata_nv libata scsi_mod forcedeth ohci_hcd usbcore thermal processor fan fbcon tileblit font bitblit softcursor vesafb capability commoncap
Feb 25 01:07:57 home kernel: [ 44.500656] CPU: 0
Feb 25 01:07:57 home kernel: [ 44.500658] EIP: 0060:[_proxy_pda+1/1024] Not tainted VLI
Feb 25 01:07:57 home kernel: [ 44.500659] EFLAGS: 00010202 (2.6.20-8-generic #2)
Feb 25 01:07:57 home kernel: [ 44.500664] EIP is at 0x1
Feb 25 01:07:57 home kernel: [ 44.500667] eax: f7c04000 ebx: f7c04400 ecx: 00000001 edx: 00000001
Feb 25 01:07:57 home kernel: [ 44.500670] esi: f7c04c38 edi: 00001002 ebp: 00000000 esp: f7acdbdc
Feb 25 01:07:57 home kernel: [ 44.500672] ds: 007b es: 007b ss: 0068
Feb 25 01:07:57 home kernel: [ 44.500675] Process NetworkManager (pid: 4592, ti=f7acc000 task=dff5c030 task.ti=f7acc000)
Feb 25 01:07:57 home kernel: [ 44.500678] Stack: f8a90416 f7c04400 f8a9092c f7c04000 f8a776d2 f8a84448 f7c04000 00001003
Feb 25 01:07:57 home kernel: [ 44.500684] f8a79303 f7c04000 c027f541 f7c04000 c027dd3c f7c04000 ffffffed 00000000
Feb 25 01:07:57 home kernel: [ 44.500690] dfe24810 c02870f8 00000000 c03cab20 00000000 00000000 00000000 00000000
Feb 25 01:07:57 home kernel: [ 44.500695] Call Trace:
Feb 25 01:07:57 home kernel: [ 44.500699] [<f8a90416>] rtl_ieee80211_start_protocol+0x46/0xe0 [ieee80211_rtl]
Feb 25 01:07:57 home kernel: [ 44.500714] [<f8a9092c>] rtl_ieee80211_softmac_start_protocol+0x2c/0x50 [ieee80211_rtl]
Feb 25 01:07:57 home kernel: [ 44.500728] [<f8a776d2>] _rtl8180_up+0x42/0x50 [r818x]
Feb 25 01:07:57 home kernel: [ 44.500745] [<f8a79303>] rtl8180_open+0x23...

Read more...

Revision history for this message
Kyle McMartin (kyle) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 27 Feb 2007 15:05:15 -0500
Source: module-init-tools
Binary: module-init-tools-udeb module-init-tools
Architecture: source
Version: 3.3-pre3-1ubuntu2
Distribution: feisty
Urgency: low
Maintainer: Ubuntu Core Developers <email address hidden>
Changed-By: Kyle McMartin <email address hidden>
Description:
 module-init-tools - tools for managing Linux kernel modules
 module-init-tools-udeb - tools for managing Linux kernel modules
Changes:
 module-init-tools (3.3-pre3-1ubuntu2) feisty; urgency=low
 .
   * Blacklist {rtl818x,rtl8187} drivers. (Ubuntu: #78255, #88430)
Files:
 caa62563127f9651b3a21ddec0f3d1ee 748 admin important module-init-tools_3.3-pre3-1ubuntu2.dsc
 188e41f700e8955c343639128a65c308 24052 admin important module-init-tools_3.3-pre3-1ubuntu2.diff.gz
Original-Maintainer: Marco d'Itri <email address hidden>
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF5JAefreS3xkfzYoRAqrSAJ4qz9SVGb5O85JYqqtyKArzDhaAWACfXlCD
BmjucfjYV6J4QE6E+RRU7w8=
=V8PT
-----END PGP SIGNATURE-----

Revision history for this message
Keli Hu (hukeli) wrote :

Hi Kyle,

The two lines in blacklist:

blacklist rtl818x
blacklist rtl8187

should be modified to:

blacklist r818x
blacklist r8187

otherwise they don't work

thanks

Keli

Revision history for this message
Jeramy Rutley (jrutley) wrote :

Something that is probably not related is this:

I set my access point like this
iwconfig wlan0 essid myaccesspoint

and it changed my essid to "myaccesspoin"

Revision history for this message
Paul Dufresne (paulduf) wrote :

Could someone confirm my feeling that bug #88252 is a duplicate
of this one?

Revision history for this message
Andrew Ross (nospam-rossfamily) wrote :

Yep, I've got the same problem with my RTL8185 based PCI card. I removed the card, and now the machine boots fine. It was all working OK in Edgy by the way (well, I think there was the occasional crash of the driver, but at least it boots).

Revision history for this message
Kyle McMartin (kyle) wrote :

Keli, you're right of course. My apologies, a fixed upload has been made by me today (module-init-tools 3.3-pre3-1ubuntu3). Sorry for the inconvenience, I'm still trying to track the actual bug for feisty so you can all have your working wireless.

Cheers,
 Kyle

Revision history for this message
Ben Collins (ben-collins) wrote :

Should be fixed with the -11 or newer kernels.

Changed in linux-source-2.6.20:
assignee: kyle → ben-collins
status: In Progress → Fix Released
Revision history for this message
diegoe (diegoe-deactivatedaccount-deactivatedaccount) wrote :

Ben,

I don't have the 818x driver available on my linux-image-2.6.20-12-generic install.

diego@milkyway:~$ dpkg -L linux-image-2.6.20-12-generic|grep 81

/lib/modules/2.6.20-12-generic/kernel/ubuntu/wireless/rtl818x
/lib/modules/2.6.20-12-generic/kernel/ubuntu/wireless/rtl818x/rtl8187.ko

The rtl8187 driver is for USB wireless.

Revision history for this message
abc1234567890 (ragata-deactivatedaccount) wrote :

Hello,

my PCMCIA-Card does still not work

Linux florian-laptop 2.6.20-12-generic #2 SMP Sun Mar 18 03:07:14 UTC 2007 i686 GNU/Linux

Changed in linux-source-2.6.20:
status: Fix Released → In Progress
Revision history for this message
Ben Collins (ben-collins) wrote :

Got the rtl818x code back in for 8081. Not only that, but I found the original problem causing the oops for this bug report.

Fixed in git, expect it after beta release.

Changed in linux-source-2.6.20:
status: In Progress → Fix Committed
Revision history for this message
Tomasz Jankowski (tomcioj) wrote :

Will this fix be available in daily builds later that build from 2007.03.19 ?

Revision history for this message
Jayhawk (brandoncolorado) wrote :

I have installed Beta today (upgrade from Edgy) and I noticed the reference in the blacklist. Has this issue been addressed so that I can remove the rt818x reference from the blacklist? I use an 8185. I am willing to provide any information required to get this figured out.

Revision history for this message
Tim Webster (tdwebste) wrote : Re: [Bug 78255] Re: [2.6.20-12] rtl8180 gone missing.

I also use the rt818x. I am also quite comfortable playing with
experimental packages. I have a laptop for internet usage, which I am
willing to happily reinstall if required. If there is an experimental
package repo I would like to subscribe to it to help with debugging.

On 3/24/07, Jayhawk <email address hidden> wrote:
> I have installed Beta today (upgrade from Edgy) and I noticed the
> reference in the blacklist. Has this issue been addressed so that I can
> remove the rt818x reference from the blacklist? I use an 8185. I am
> willing to provide any information required to get this figured out.
>
> --
> [2.6.20-12] rtl8180 gone missing.
> https://launchpad.net/bugs/78255
>

Changed in linux-source-2.6.20:
status: Fix Committed → Fix Released
Revision history for this message
Craig Duquette (cduquette) wrote :

Is the driver committed yet? I see that the r8187 driver is in the r818x folder. This is not the same as the r818x driver because I believe the r8187 is for USB wireless as stated by dieguito.

Revision history for this message
Stani (stani) wrote :

I am running Feisty Beta with the 2.6.20-13-generic kernel. I wanted to check if it worked and commented out in /etc/modprobe.d/blacklist this line:

#blacklist r818x

I have a gericom pcmcia card inserted in the laptop and Ubuntu booted without any problem. The lspci output of my card is:
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8180L 802.11b MAC (rev 20)

The card seems to work. At least it shows a list of available networks:

sudo iwlist wlan0 scan

wlan0 Scan completed :
          Cell 01 - Address: 00:15:0C:58:8D:BE
                    ESSID:"FRITZ!Box Fon WLAN 7050"
                    Protocol:IEEE 802.11bg
                    Mode:Master
                    Channel:6
                    Encryption key:on
                    Bit Rates:54 Mb/s
                    Extra: Rates (Mb/s): 1 2 5.5 6 9 11 12 18 22 24 36 48 54
                    Quality:225 Signal level:0 Noise level:33
                    Extra: Last beacon: 1522ms ago
          Cell 02 - Address: 00:12:BF:4E:93:D1
                    ESSID:"WLAN"
                    Protocol:IEEE 802.11bg
                    Mode:Master
                    Channel:11
                    Encryption key:on
                    Bit Rates:54 Mb/s
                    Extra: Rates (Mb/s): 1 2 5.5 6 9 11 12 18 22 24 36 48 54
                    Quality:225 Signal level:0 Noise level:96
                    Extra: Last beacon: 503ms ago

Unfortunately I can't test as I have no password of this network. Soon I will travel and I was wondering if "Signal level:0" was a limitation of the driver or if something is wrong. Will I be able to use this card to connect to an wireless network?

Revision history for this message
Tomasz Jankowski (tomcioj) wrote :

Yes. I'm using it on Ubuntu 6.10. It works, but driver doesn't obtain signal
level and there is no wy to enable encryption (do far...).
------
Cya!
Tom

Revision history for this message
Sebastian Reichel (sre) wrote :

I tried successful (2.6.20-13) with chipset rtl8187:

* Network-Manager Scan
* Network-Manager WEP Connection
* Kismet

Revision history for this message
Craig Duquette (cduquette) wrote :

I just tried the r818x driver with my rtl8180 chipset card and I located local networks, however I can't connect to any of them. I can connect to them using ndiswrapper though, so I know I should be able to connect.

Revision history for this message
"Kosmonaut" Bernd Müller (bernado-tornado) wrote :

Confirming this bug, since my upgrade to feisty beta1.
Using kernel:2.6.20-13-generic. The driver doesn't load automaticly. I can manualy enable the driver with "sudo modprobe r818x" . I can scan wifi-network, but a connection is impossible. Rebooting the system does not load the driver, eventhou I have inserted rtl818x in /etc/modules.

Revision history for this message
Tim Webster (tdwebste) wrote :

Please remove the required module from blacklist file. And try again.
When you scan the wifi, what errors do you see?
Do you see an access point? Does dhcp negotiate fail?

On 3/31/07, "Kosmonaut" Bernd Müller <email address hidden> wrote:
> Confirming this bug, since my upgrade to feisty beta1.
> Using kernel:2.6.20-13-generic. The driver doesn't load automaticly. I can manualy enable the driver with "sudo modprobe r818x" . I can scan wifi-network, but a connection is impossible. Rebooting the system does not load the driver, eventhou I have inserted rtl818x in /etc/modules.
>
> --
> [2.6.20-12] rtl8180 gone missing.
> https://launchpad.net/bugs/78255
>

Revision history for this message
"Kosmonaut" Bernd Müller (bernado-tornado) wrote :

@Tim W.:Removing r818x from the blacklist enabled rtl8180 -of course :-). So far I can scan wifi-networks, but no connection is possible. Knetworkmanager seems to be buggy, it stops at 28% and then *nothing* happens.

Revision history for this message
Craig Duquette (cduquette) wrote :

Yea network connections don't seem to work. Network-manager isn't getting past "attempting to join network foo."

Revision history for this message
Tomasz Jankowski (tomcioj) wrote :

I've tested it with daily build from 07 04 2007 (kernel 2.6.20-14). Same situation as in above comments.

Revision history for this message
diegoe (diegoe-deactivatedaccount-deactivatedaccount) wrote :

I'm using kernel 20-14 and everything is fine except the wifi essid, I had to add a dummy char to my network name to make it work (it's eating the last letter).

Revision history for this message
Tim Webster (tdwebste) wrote :

Is this problem from within knetworkmanager or kwifimanager?
Or did you add the extra dummy char to /etc/network/interfaces?

Does wlassistant work without adding an extra dummy char to the wifi essid?

On 4/9/07, dieguito <email address hidden> wrote:
> I'm using kernel 20-14 and everything is fine except the wifi essid, I
> had to add a dummy char to my network name to make it work (it's eating
> the last letter).
>
> --
> [2.6.20-12] rtl8180 gone missing.
> https://bugs.launchpad.net/bugs/78255
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Revision history for this message
diegoe (diegoe-deactivatedaccount-deactivatedaccount) wrote :

I'm old school. ifconfig + /etc/network/interfaces

Revision history for this message
Bennett Kanuka (bkanuka) wrote :

The dummy character is the solution (well workaround)
Just click on the network icon, click Static configuration...
Select your Wireless connection, click Properties, uncheck Enable roaming mode
Then, type in the essid, PLUS one extra charcter. Like mine essid is "wireless" so I typed in "wirelessS"
Then fill out the WEP stuff (leave it blank if its unsecured) and then OK and Close your way out.
Everything should then connect on its own!

Revision history for this message
Tomasz Jankowski (tomcioj) wrote :

Works for me too (the solution above). Module seems to work stable too. I'm working on 7.04 for more then 7 hours without problems (I have hanged network a few times, run many connections via p2p without problems).

Revision history for this message
Jayhawk (brandoncolorado) wrote :

The module worked in Edgy too, but with one serious problem that still remains. For people like me who use their laptop in a building with lots of access points with the same essid (school), the lack of a signal level is very troublesome. The wireless will drop from one access point and pick up another every minute or so. This means that wireless disconnects, and you have to manually reconnect it.

Revision history for this message
"Kosmonaut" Bernd Müller (bernado-tornado) wrote :

bkanuka's workaround works here too. But man, this is a strange workaround ;-)? Does someone why and how this workaround works? This doesn't make sense to me at all, I'm really confused.

Revision history for this message
Pieterjan Lansbergen (pj) wrote :

Same problem as all of you guys, with a rtl 8180

Using the suggested workaround (adding dummy char) worked like a charm.

Thanks a ton!

Revision history for this message
Frans Leerink (f-leerink) wrote :

Hello,

I posted the same message on my original 88718 bug, but since my original bug
was a duplicate of this bug, I have posted my findings with Kubuntu 7.04 also
on this bug

Based on information from bug 78255, I have new installed Kubuntu 7.04
and that worked oke. After logging out I have physical installed the SMC
Wireless PCI Adapter "SMCWPCI-G EU", Partnumber 98-012-084-556 with
Realtek RTL8185 chip. I rebooted the system normally and commented out
the "blacklist r818x" in the /etc/modprobe.d/blacklist file. I have
looked for the Wireless networkcard configuration but nothing showed up
in SystemSettings/Network&Connectivity/NetworkSettings. In
InfoCenter/PCI I can see the SMC Wireless PCI Adapter "SMCWPCI-G EU",
Partnumber 98-012-084-556 and Realtek RTL8185 chip and that the I/O port
and Memory are disabled and that Capabilities say "Access Denied". So I
logged out and tried to boot the system up again and hopefully to
activate and configure the Wireless Network card, but unfortunaly the
boot process stops still without error message.

How can I see what is wrong.

Regards,   Frans

Revision history for this message
webmad (webmad-bigfoot) wrote :

Hi all.
I'm using kernel 2.6.20-15-386 with a D-Link DWL-510, with rtl8187 module.
This module works fine for me.
-Pietro.

Revision history for this message
Tim Webster (tdwebste) wrote :

With or without the extra junk char after the end of the essid?
Mine works fine with an extra junk char added.

On 5/21/07, webmad <email address hidden> wrote:
> Hi all.
> I'm using kernel 2.6.20-15-386 with a D-Link DWL-510, with rtl8187 module.
> This module works fine for me.
> -Pietro.
>
> --
> [2.6.20-12] rtl8180 gone missing.
> https://bugs.launchpad.net/bugs/78255
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Revision history for this message
webmad (webmad-bigfoot) wrote :

Tim, it works with the extra junk character.
-Pietro.

Revision history for this message
Dylan Hunter (dylan-dylanhunter) wrote :

Actually, mine (RTL8187) seems to work fine since the 7.04 release,
(worked with none of the betas/RC's, but the final release was golden)
- with signal levels, and without the dummy char. Only downside is
still no encryption, so had to switch my network to unsecured, with
MAC addy filter... :( Hey, still better than nothing! :)

Dylan

----- Message from <email address hidden> ---------
     Date: Tue, 22 May 2007 21:40:30 -0000
     From: webmad <email address hidden>
Reply-To: Bug 78255 <email address hidden>
  Subject: [Bug 78255] Re: [2.6.20-12] rtl8180 gone missing.
       To: <email address hidden>

> Tim, it works with the extra junk character.
> -Pietro.
>
> --
> [2.6.20-12] rtl8180 gone missing.
> https://bugs.launchpad.net/bugs/78255
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

----- End message from <email address hidden> -----

--
Dylan Hunter
Blog: http://www.dylanhunter.com

Revision history for this message
Kevin (kevin64-deactivatedaccount) wrote :

At the moment the module r818x does not work in Ubuntu 7,04 final. Is there any fix? The module will work with kernels of kernel.org?

I use Ubuntu 7.04 whit 2.6.20-16-generic kernel

Revision history for this message
Kevin (kevin64-deactivatedaccount) wrote :

There is no patch until the moment

Changed in linux-source-2.6.20:
status: Fix Released → Confirmed
Revision history for this message
clever (clever-nbnet) wrote :

06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8180L 802.11b MAC (rev 20)
r818x 88588 0
ieee80211_rtl 80136 1 r818x

lspci and lsmod showing which drive i have
kernel is 2.6.20-16-386
card is pcmcia based and works 90% for me
i had an oops at one point several weeks ago(several in a row) but the system stayed up and i dont think i have a copy of the msg anymore

the card also has these errors every now and then(seems random)
[2852846.592000] rtl8180: WW:Phy writing 10 b3 failed!
[2853475.584000] rtl8180: WW:Phy writing 10 b3 failed!
[2854306.700000] rtl8180: WW:Phy writing 3 20 failed!
the instant that error shows up from the printk the link led on the card goes out and i loose the connection, 2-4 seconds later it comes back up and works like nothing happened
i also had to unblacklist the module for the card to even work(after upgrading to 7.04)

its not a major problem but the dropouts are anoying in ssh sessions and other streaming things
ive got a copy of the kernel source(and what looks like this modules source) and will look into it and see what i can do

Revision history for this message
Tim Webster (tdwebste) wrote :

Also the r818x driver required for rtl8180L pcmcia cards is missing
from 2.6.22 kernel modules. Please see bug.
https://bugs.launchpad.net/ubuntu/+source/linux-ubuntu-modules-2.6.22/+bug/129407

On 8/30/07, clever <email address hidden> wrote:
> 06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8180L 802.11b MAC (rev 20)
> r818x 88588 0
> ieee80211_rtl 80136 1 r818x
>
> lspci and lsmod showing which drive i have
> kernel is 2.6.20-16-386
> card is pcmcia based and works 90% for me
> i had an oops at one point several weeks ago(several in a row) but the system stayed up and i dont think i have a copy of the msg anymore
>
> the card also has these errors every now and then(seems random)
> [2852846.592000] rtl8180: WW:Phy writing 10 b3 failed!
> [2853475.584000] rtl8180: WW:Phy writing 10 b3 failed!
> [2854306.700000] rtl8180: WW:Phy writing 3 20 failed!
> the instant that error shows up from the printk the link led on the card goes out and i loose the connection, 2-4 seconds later it comes back up and works like nothing happened
> i also had to unblacklist the module for the card to even work(after upgrading to 7.04)
>
> its not a major problem but the dropouts are anoying in ssh sessions and other streaming things
> ive got a copy of the kernel source(and what looks like this modules source) and will look into it and see what i can do
>
> --
> [2.6.20-12] rtl8180 gone missing.
> https://bugs.launchpad.net/bugs/78255
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Revision history for this message
diegoe (diegoe-deactivatedaccount-deactivatedaccount) wrote :

The driver is not missing anymore, it's of course not quite working but still it's there, you can follow the thread on making it work on https://bugs.launchpad.net/ubuntu/+bug/31857

Revision history for this message
Pieterjan Lansbergen (pj) wrote :

@dieguito I have Ubuntu Gutsy installed. Kernel is 2.6.22-14-386.

Absolutely no r818x modules in sight in my Ubuntu release.
What am I doing wrong here?

My experience with the realtek card, spanning over the recent releases, has been so far:

- Edgy, working out of the box
- Feisty, needed removing r818x from blacklist
- Gutsy, disappeared from modules and blacklist

Can anybody shad some light please?

Revision history for this message
Jarek Fuks (jarek102-gmail) wrote :

same bug in 2.6.22-14-generic
when connecting to network

Revision history for this message
ante wessels (ante-ffii) wrote :

I have a Toshiba L40 15B, with (internal) Realtek rtl8187B wireless USB 2.0, with ubuntu 7.10.

I can load rtl8187 and ndiswrapper, that does not help,
sudo lshw -C network
only shows the wired network card.

KInfoCenter | USB Devices reports EHCI Host Controller (6) - RTL8187B_WLAN_Adapter

lsusb reports:
Bus 006 Device 002: ID 0bda:8197 Realtek Semiconductor Corp.
Bus 006 Device 001: ID 0000:0000
Bus 007 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000
Bus 005 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000

Bus 006 shows up twice. I do not have external usb devices plugged in, so the Realtek one has to be an internal one, the wireless, which is a usb one and Realtek. But the number 8197 is different than 8187. Could it be the wireless is not recognized correctly? It's only one number off (8->9).

Could this be the reason wireless does not work?

Revision history for this message
ante wessels (ante-ffii) wrote :

http://ubuntuforums.org/showthread.php?t=571046&highlight=toshiba+realtek&page=5

Xcuervo made a modified driver, it works for me. There are some other solutions in the tread as well.

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

The Hardy Heron Alpha series is currently under development and contains an updated version of the kernel. It would be helpful if you could test the latest Hardy Alpha release: http://www.ubuntu.com/testing . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. We'll keep this report open against the actively developed kernel but this will be closed against 2.6.20. Thanks.

Changed in linux:
status: New → Incomplete
Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Revision history for this message
Colin Macdonald (cbm755) wrote :

Leann Ogasawara: Hardy has no rtl8180 driver (see bug #184788), thus no can can check if the bug is fixed or not.

Revision history for this message
Pieterjan Lansbergen (pj) wrote : Re: [Bug 78255] Re: [2.6.20-12] rtl8180 gone missing.

I can confirm this, regretfully the r818x modules are still missing
from the kernel in Hardy Heron.

/P

Il giorno 06/mar/08, alle ore 01:16, Colin Macdonald ha scritto:

> Leann Ogasawara: Hardy has no rtl8180 driver (see bug #184788),
> thus no
> can can check if the bug is fixed or not.
>
> --
> [2.6.20-12] rtl8180 gone missing.
> https://bugs.launchpad.net/bugs/78255
> You received this bug notification because you are a direct subscriber
> of the bug.

Revision history for this message
ante wessels (ante-ffii) wrote :

On Thu, March 6, 2008 1:43 am, Pieterjan Lansbergen wrote:
> I can confirm this, regretfully the r818x modules are still missing
> from the kernel in Hardy Heron.

I use a modified driver:
http://www.datanorth.net/~cuervo/rtl8187b/

So, a driver is available. It cannot be included in ubuntu?

vriendelijke groet,
cordialmente,

Ante

Revision history for this message
markba (mark-baaijens) wrote :

I specifically picked a SMC (SMCWPCI-G EU) because it was recommended in this HCL:
https://help.ubuntu.com/community/HardwareSupportComponentsWirelessNetworkCardsSmc

After that I bumoped to this bug. I'll change the wiki.

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Revision history for this message
diegoe (diegoe-deactivatedaccount-deactivatedaccount) wrote :

It's included since 2.6.25, so Ubuntu Ibex already has it.

Revision history for this message
Leann Ogasawara (leannogasawara) wrote :

Marking this "Fixed" for Intrepid.

Changed in linux:
status: Incomplete → Fix Released
Revision history for this message
curtiswtaylorjr@gmail.com (curtiswtaylorjr-gmail) wrote :

not detected on Intrepid. tried ndiswrapper but ndiswrapper kept crashing although detecting hardware.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers